classification
Title: pydoc: Remove old server and tk panel
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, haypo, python-dev, ron_adam
Priority: normal Keywords: patch

Created on 2011-01-03 16:17 by haypo, last changed 2015-02-16 06:22 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
no_tkserve.diff ron_adam, 2011-01-05 05:41 Remove old server and tk panel. review
Messages (7)
msg125190 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-01-03 16:17
The pydoc module has two DocHandler classes and two DocServer classes. I think that they can be easily factorized.

DocServer may also use serve_forever()+shutdown() instead of serve_until_quit()+quit flag, to be able to wait the server (with shutdown()).
msg125191 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-01-03 16:17
I opened this issue because I had to fix a bug twice in pydoc: r87687 (fix a ResourceWarning(unclosed socket)).
msg125219 - (view) Author: Ron Adam (ron_adam) * Date: 2011-01-03 19:34
No refactoring is needed.

The second copies are part of the new server.  The old server was depreciated in 3.2 and is supposed to be removed along with the tk panel for 3.3.  After that there will only be one of each again.

This issue can be used for that purpose.
msg125411 - (view) Author: Ron Adam (ron_adam) * Date: 2011-01-05 05:41
Here is a patch for this.  Not much to it as the hard parts were already done.  Apparently there was no tests for this, test_pydoc still passes without it.

Does there need to be any messages for the -g option? Pydoc help is displayed in the case -g is used.  That already includes the new -b usage.
msg136809 - (view) Author: Roundup Robot (python-dev) Date: 2011-05-24 23:41
New changeset a30410a8fddc by Victor Stinner in branch 'default':
Issue #10818: Remove the Tk GUI of the pydoc module (pydoc -g has been
http://hg.python.org/cpython/rev/a30410a8fddc

New changeset de669b61bca4 by Victor Stinner in branch 'default':
Issue #10818: Remove deprecated pydoc.serve() function
http://hg.python.org/cpython/rev/de669b61bca4
msg136810 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-05-24 23:42
> The old server was depreciated in 3.2 and is supposed to be removed
> along with the tk panel for 3.3.

Ok, fine. I applied your patch and removed the serve() function.
msg223248 - (view) Author: Roundup Robot (python-dev) Date: 2014-07-16 18:30
New changeset 2e578b80c2f3 by Zachary Ware in branch '3.4':
Remove Tools/scripts/pydocgui.pyw.
http://hg.python.org/cpython/rev/2e578b80c2f3
History
Date User Action Args
2015-02-16 06:22:43berker.peksagsetstage: needs patch -> resolved
2014-07-16 18:30:41python-devsetmessages: + msg223248
2011-05-24 23:42:32hayposetstatus: open -> closed
resolution: fixed
messages: + msg136810
2011-05-24 23:41:48python-devsetnosy: + python-dev
messages: + msg136809
2011-01-05 05:41:08ron_adamsetfiles: + no_tkserve.diff
title: pydoc: refactorize duplicate DocHandler and DocServer classes -> pydoc: Remove old server and tk panel
nosy: haypo, ron_adam, eric.araujo
messages: + msg125411

keywords: + patch
2011-01-03 19:34:48ron_adamsetnosy: haypo, ron_adam, eric.araujo
messages: + msg125219
2011-01-03 17:43:35eric.araujosetnosy: + eric.araujo, ron_adam, - docs@python
versions: - Python 3.2
assignee: docs@python ->
components: - Documentation
type: enhancement
stage: needs patch
2011-01-03 16:17:47hayposetnosy: haypo, docs@python
messages: + msg125191
2011-01-03 16:17:16haypocreate